# norootforbuild
%define php_version %(php-config --version 2>/dev/null)

Name:		php-imagick
Version:	3.1.2
Release:	7.2
#
License:	PHP
Group:	Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: php-devel >= 5.1.3 ImageMagick-devel >= 6.2.4
Requires: php = %{php_version}
#
URL: http://pecl.php.net/package/imagick/
Source: http://pecl.php.net/package/imagick/imagick-%{version}.tgz
Summary: Provides a wrapper to the ImageMagick/GraphicsMagick library.

%description

Provides a wrapper to the ImageMagick/GraphicsMagick library.

Authors:
---------
    Christian Stocker <chregu@php.net>
    Michael C. Montero <mmontero@mail.communityconnect.com>
	Scott MacVicar <scottmac@php.net>

%prep

%setup -n imagick-%{version}

%{__mkdir} %{name}

%build

/usr/bin/phpize

pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure --with-imagick=%{_usr} --with-libdir=%{_lib}

%{__make} %{?jobs:-j%jobs}

popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
rm -rf %{buildroot}%{_includedir}

echo "; comment out next line to disable imagick extension in php" > %{buildroot}%{_sysconfdir}/php.d/imagick.ini
echo 'extension = imagick.so' >> %{buildroot}%{_sysconfdir}/php.d/imagick.ini


%clean

%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php/modules/imagick.so
%config(noreplace) %{_sysconfdir}/php.d/imagick.ini

%doc CREDITS INSTALL

%changelog -n php-imagick
* Wed Feb 19 2014 Carsten Schoene <cs@linux-administrator.com> - 3.1.2-1
- update to version 3.1.2

* Thu Apr 21 2011 Carsten Schoene <cs@linux-administrator.com> - 3.0.1-1
- update to version 3.0.1

* Sun Jul 25 2010 Carsten Schoene <cs@linux-administrator.com> - 3.0.0-1
- update to version 3.0.0

* Mon Oct 27 2008 Carsten Schoene <cs@linux-administrator.com>
- version bump to 2.2.1
* Sun Jul 13 2008 Carsten Schoene <cs@linux-administrator.com>
- version bump to 2.2.0
* Mon Mar 24 2008 Carsten Schoene <cs@linux-administrator.com>
- version bump to 2.1.1
* Fri Jul 01 2006 - soporte@onfocus.cl
- very first build
